<?

header('Cache-Control: no-store, no-cache, must-revalidate');
if ($ver=="wml")header ("Content-type:text/vnd.wap.wml; charset=utf-8");
else header("Content-Type:text/html; charset=UTF-8");

require("inc.php"); 
$link = connect_db(); 
list($row, $id, $ps, $fsize1, $fsize2) = check_login($link);
require("version.php");

$uposts=$row['posts'];
$vposts=$row['credits'];
$byeotv=$row['byeotv'];
$usid=$row['user'];

$time=date ("H:i");

$prod = @mysql_query ("Select user from users where id='4' LIMIT 1;");
$z = @mysql_fetch_array ($prod);
$prodavec = $z["user"];

if ($uposts<100){
if ($ver=="wml"){
echo $xml;
echo $dtd;
echo "<wml>";
echo "<card id=\"error\" title=\"".$prodavec."\">";
echo "<p>";
}else{
echo "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">";
echo "<html xmlns=\"http://www.w3.org/1999/xhtml\">";
echo "<head><link rel=\"stylesheet\" type=\"text/css\" href=\"css/css.css\"/>";
echo "<title>".$prodavec."</title>";
echo "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"/></head><body>";
echo "<div align=\"left\">";
}
echo $fsize1; 
echo "У вас постов: <b>$uposts</b><br/>";
echo "Ответов в викторине: <b>$vposts</b><br/>";
echo "Вы купили ответов: <b>$byeotv</b><br/>";
echo $divide;
echo "<b><a href=\"inside.php?$ses&amp;rm=$rm&amp;nk=4$takep\">".$prodavec."</a></b>($time) Юный мой друг, у тебя не достаточно постов, чтобы воспользоваться моими услугами... Нужно иметь при себе как минимум <b>100</b> постов =) Заходи попозже.<br/>";
echo $divide;
echo "<a href=\"chat.php?$ses&amp;rm=$rm&amp;ref=$ref\">В чат</a><br/><a href=\"enter.php?$ses&amp;ref=$ref\">Прихожая</a>";
echo $fsize2; 
if ($ver=="wml")echo "</p></card></wml>";
else echo "</div></body></html>"; 
mysql_close($link);
exit;
}

$setting = @mysql_query ("Select * from setting where klu4=1");
$set = mysql_fetch_array ($setting);

if ($ver=="wml"){
echo $xml;
echo $dtd;
echo "<wml>\n";
echo "<card id=\"trader\" title=\"".$prodavec."\" >\n";
echo "<p mode=\"wrap\">\n";
}else{
echo "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">";
echo "<html xmlns=\"http://www.w3.org/1999/xhtml\">";
echo "<head><link rel=\"stylesheet\" type=\"text/css\" href=\"css/css.css\"/>";
echo "<title>".$prodavec."</title>";
echo "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"/></head><body>";
echo "<div align=\"left\">";
}
echo $fsize1; 
switch($mod) {

default:
$a = mysql_query ("Select answer from vopros where klu4='1'"); 
$b = mysql_fetch_array ($a);
$otvet = $b["answer"];
if($otvet!=""){
echo "У вас постов: <b>".$uposts."</b><br/>";
echo "Ответов в викторине: <b>".$vposts."</b><br/>";
echo "Вы купили ответов: <b>".$byeotv."</b><br/>";
echo $divide;
if($set["prod"] == 0){
echo "<b><a href=\"inside.php?$ses&amp;rm=$rm&amp;nk=4$takep\">".$prodavec."</a></b>-".$usid."(".$time.") Только сегодня, Только сейчас, Только у нас и Только для Вас ответ на вопрос всего за <b>100</b> постов… Все сказал, деньги давай :)<br/>";
echo "<b>СОГЛАСНЫ?</b><br/>";
echo "<a href=\"prodavec.php?$ses&amp;mod=yes&amp;rm=$rm&amp;ref=$ref\">ДА</a><b>/</b><a href=\"chat.php?$ses&amp;rm=$rm&amp;ref=$ref\">НЕТ</a><br/>";
}else{
echo "<b><a href=\"inside.php?$ses&amp;rm=$rm&amp;nk=4$takep\">".$prodavec."</a></b>-".$usid."(".$time.")Извините пожалуйста за то что я в отпуске и несмогу ВАМ подсказывать!<br/>";
}
echo $divide;
echo "<a href=\"chat.php?$ses&amp;rm=$rm&amp;ref=$ref\">В чат</a><br/><a href=\"enter.php?$ses&amp;ref=$ref\">Прихожая</a>";
} else {
echo "Подождите. Вопрос ещё не задан.<br/>";
echo $divide;
echo "<a href=\"chat.php?$ses&amp;rm=$rm&amp;ref=$ref\">В чат</a><br/><a href=\"enter.php?$ses&amp;ref=$ref\">Прихожая</a>";
}
break;
				
case 'yes':
$a = mysql_query ("Select answer from vopros"); 
$b = mysql_fetch_array ($a);
$otvet = $b["answer"];
$uposts=$uposts-100;
$byeotv=$byeotv+1;
mysql_query ("Update users set posts='".$uposts."', byeotv='".$byeotv."' where id='".$id."'");
$st = time();
$today=date ("H:i");
$mes = "Правильный ответ на текущий вопрос: <b>".$otvet."</b> =)";     
$rnd = rand(0,99999999);
mysql_query ("Insert into room0 set klu4= '".$rnd."', time='".$today."', who='".$prodavec."', message='".$mes."', id='".$st."', towhom='".$id."', hid='0', usid='4', komu='".$usid."'");
echo "У вас постов: <b>".$uposts."</b><br/>";
echo "Ответов в викторине: <b>".$vposts."</b><br/>";
echo "Вы купили ответов: <b>".$byeotv."</b><br/>";
echo $divide;
echo "<b><a href=\"inside.php?$ses&amp;rm=$rm&amp;nk=4$takep\">".$prodavec."</a></b>($time) Благодарю за использование моих услуг. Я написал тебе правильный ответ на текущий вопрос в приват в чате. Иди посмотри :)<br/>";
echo $divide;
echo "<a href=\"chat.php?$ses&amp;rm=$rm&amp;ref=$ref\">В чат</a><br/><a href=\"enter.php?$ses&amp;ref=$ref\">Прихожая</a>";
break;
}
echo $fsize2; 
if ($ver=="wml")echo "</p></card></wml>";
else echo "</div></body></html>"; 
mysql_close ($link);
?>